---
component_title: "ANSI Stripper"
description: "The Vector `ansi_stripper` transform accepts and outputs `log` events allowing you to strips ANSI escape sequences from the specified field."
event_types: ["log"]
issues_url: https://github.com/timberio/vector/issues?q=is%3Aopen+is%3Aissue+label%3A%22transform%3A+ansi_stripper%22
min_version: null
service_name: "ANSI Stripper"
sidebar_label: "ansi_stripper|[\"log\"]"
source_url: https://github.com/timberio/vector/tree/master/src/transforms/ansi_stripper.rs
status: "prod-ready"
title: "ANSI Stripper Transform"
---

The Vector `ansi_stripper` transform accepts and outputs [`log`][docs.data-model.log] events allowing you to strips ANSI escape sequences from the specified field.

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/reference/transforms/ansi_stripper.md.erb
-->

## Configuration

import CodeHeader from '@site/src/components/CodeHeader';

<CodeHeader fileName="vector.toml" learnMoreUrl="/docs/setup/configuration/"/ >

```toml
[transforms.my_transform_id]
  # REQUIRED
  type = "ansi_stripper" # must be: "ansi_stripper"
  inputs = ["my-source-id"] # example

  # OPTIONAL
  field = "message" # default
```

## Options

import Fields from '@site/src/components/Fields';

import Field from '@site/src/components/Field';

<Fields filters={true}>


<Field
  common={true}
  defaultValue={"message"}
  enumValues={null}
  examples={["message"]}
  groups={[]}
  name={"field"}
  path={null}
  relevantWhen={null}
  required={true}
  templateable={false}
  type={"string"}
  unit={null}
  >

### field

The target field to strip ANSI escape sequences from.


</Field>


</Fields>


## How It Works

### Environment Variables

Environment variables are supported through all of Vector's configuration.
Simply add `${MY_ENV_VAR}` in your Vector configuration file and the variable
will be replaced before being evaluated.

You can learn more in the [Environment Variables][docs.configuration#environment-variables]
section.


[docs.configuration#environment-variables]: /docs/setup/configuration/#environment-variables
[docs.data-model.log]: /docs/about/data-model/log/
